<header id="navbar" role="banner" class="navbar navbar-default">
  <div class="navbar-header">
    <?php if ($logo): ?>
    <a class="logo navbar-btn pull-left" href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>">
      <img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" />
    </a>
    <?php endif; ?>

    <?php if (!empty($site_name)): ?>
    <a class="name navbar-brand" href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>"><?php print $site_name; ?></a>
    <?php endif; ?>
  </div>
  <?php if (!empty($page['header'])): ?>
    <div class="pull-left header">
      <?php print render($page['header']); ?>
    </div>
  <?php endif; ?>
  <div class="pull-right secondary-nav">
    <?php if (!empty($secondary_nav)): ?>
        <nav role="navigation">
          <?php if (!empty($secondary_nav)): ?>
            <?php print render($secondary_nav); ?>
          <?php endif; ?>
        </nav>
    <?php endif; ?>
    <?php if (!empty($page['navigation'])): ?>
      <?php print render($page['navigation']); ?>
    <?php endif; ?>
  </div>
</header>